searchNodes=[{"ref":"IndifferentAccess.html","title":"IndifferentAccess","type":"module","doc":"Transforms a map into a struct or map supporting indifferent access. Primary intended usage is via IndifferentAccess.Plug, see docs there."},{"ref":"IndifferentAccess.html#atoms_map/0","title":"IndifferentAccess.atoms_map/0","type":"function","doc":""},{"ref":"IndifferentAccess.html#indifferentize/2","title":"IndifferentAccess.indifferentize/2","type":"function","doc":"Returns a struct or map accessible by Atom keys with several configuration optons determining behavior. See examples below. Examples iex&gt; IndifferentAccess.indifferentize(%{&quot;schedulers&quot; =&gt; &quot;4&quot;}) %IndifferentAccess.Params{params: %{&quot;schedulers&quot; =&gt; &quot;4&quot;}} iex&gt; IndifferentAccess.indifferentize(%{&quot;schedulers&quot; =&gt; &quot;4&quot;})[:schedulers] &quot;4&quot; iex&gt; IndifferentAccess.indifferentize(%{&quot;schedulers&quot; =&gt; %{&quot;tls&quot; =&gt; &quot;3&quot;}})[:schedulers][:tls] &quot;3&quot; iex&gt; IndifferentAccess.indifferentize(%{&quot;schedulers&quot; =&gt; %{&quot;tls&quot; =&gt; &quot;3&quot;}}, strategy: :static)[:schedulers][:tls] nil iex&gt; IndifferentAccess.initialize_atoms_map() iex&gt; IndifferentAccess.indifferentize(%{&quot;schedulers&quot; =&gt; %{&quot;tls&quot; =&gt; &quot;3&quot;}}, as: :map)[:schedulers][:tls] &quot;3&quot; iex&gt; IndifferentAccess.initialize_atoms_map() iex&gt; IndifferentAccess.indifferentize(%{&quot;schedulers&quot; =&gt; %{&quot;tls&quot; =&gt; &quot;3&quot;, &quot;random_string&quot; =&gt; &quot;2&quot;}}, as: :map)[:schedulers] %{:tls =&gt; &quot;3&quot;, &quot;random_string&quot; =&gt; &quot;2&quot;}"},{"ref":"IndifferentAccess.html#indifferentize_map/2","title":"IndifferentAccess.indifferentize_map/2","type":"function","doc":"Returns a map with String keys replaced or supplemented by Atom keys where equivalent atoms exist. Examples iex&gt; IndifferentAccess.initialize_atoms_map() iex&gt; IndifferentAccess.indifferentize_map(%{&quot;schedulers&quot; =&gt; &quot;4&quot;}) %{schedulers: &quot;4&quot;} iex&gt; IndifferentAccess.initialize_atoms_map() iex&gt; IndifferentAccess.indifferentize_map(%{&quot;schedulers&quot; =&gt; &quot;4&quot;}, strategy: :augment) %{:schedulers =&gt; &quot;4&quot;, &quot;schedulers&quot; =&gt; &quot;4&quot;} iex&gt; IndifferentAccess.initialize_atoms_map() iex&gt; IndifferentAccess.indifferentize_map(%{&quot;schedulers&quot; =&gt; %{&quot;tls&quot; =&gt; &quot;3&quot;, &quot;others&quot; =&gt; &quot;2&quot;}}) %{schedulers: %{&quot;others&quot; =&gt; &quot;2&quot;, :tls =&gt; &quot;3&quot;}}"},{"ref":"IndifferentAccess.html#initialize_atoms_map/0","title":"IndifferentAccess.initialize_atoms_map/0","type":"function","doc":""},{"ref":"IndifferentAccess.Application.html","title":"IndifferentAccess.Application","type":"module","doc":"The Core Application Service. The JIQ system business and shared logic lives in this application."},{"ref":"IndifferentAccess.Application.html#application/0","title":"IndifferentAccess.Application.application/0","type":"function","doc":""},{"ref":"IndifferentAccess.Application.html#start/2","title":"IndifferentAccess.Application.start/2","type":"function","doc":"Called when an application is started. This function is called when an application is started using Application.start/2 (and functions on top of that, such as Application.ensure_started/2). This function should start the top-level process of the application (which should be the top supervisor of the application&#39;s supervision tree if the application follows the OTP design principles around supervision). start_type defines how the application is started: :normal - used if the startup is a normal startup or if the application is distributed and is started on the current node because of a failover from another node and the application specification key :start_phases is :undefined. {:takeover, node} - used if the application is distributed and is started on the current node because of a failover on the node node. {:failover, node} - used if the application is distributed and is started on the current node because of a failover on node node, and the application specification key :start_phases is not :undefined. start_args are the arguments passed to the application in the :mod specification key (e.g., mod: {MyApp, [:my_args]}). This function should either return {:ok, pid} or {:ok, pid, state} if startup is successful. pid should be the PID of the top supervisor. state can be an arbitrary term, and if omitted will default to []; if the application is later stopped, state is passed to the stop/1 callback (see the documentation for the c:stop/1 callback for more information). use Application provides no default implementation for the start/2 callback. Callback implementation for Application.start/2."},{"ref":"IndifferentAccess.Params.html","title":"IndifferentAccess.Params","type":"module","doc":"This struct has two behaviors, the default where any map returned from its Access methods will also be a Params struct, or if strategy: :static is passed as an option, it will only set the top level params as a struct and any returned values will be unchanged."},{"ref":"IndifferentAccess.Params.html#get/3","title":"IndifferentAccess.Params.get/3","type":"function","doc":""},{"ref":"IndifferentAccess.Params.html#new/2","title":"IndifferentAccess.Params.new/2","type":"function","doc":""},{"ref":"IndifferentAccess.Plug.html","title":"IndifferentAccess.Plug","type":"module","doc":"Several modes of indifferent access can be configured via the opts passed in to a pipeline plug. The default constructs a new IndifferentAccess.Params struct in place of Conn.params and Conn.query_params. That struct has two behaviors, the default where any map returned from its Access methods will also be a Params struct, or if strategy: :static is passed in here, it will only set the top level params as a struct and any returned values will be unchanged. Alternatively, if you want to retain a bare map in your params, pass the option as: :map and it will recursively replace string keys with atom keys in params maps if the strings have existing atoms (also note you must call IndifferentAccess.initialize_atoms_map/0 for this behavior at app startup). Note that this option isn&#39;t truly &quot;indifferent&quot; and will only support atom access because it has replaced the strings with atoms as the keys. There is another option that is not reccomended to also pass `strategy: :augment in addition to as: :map and it will leave string keys in place alongside additional atom keys pointing to the same value. Note this basically rendered enumeration on the map useless/confusion, and also makes updates to the map problematic as the two values will diverge."},{"ref":"IndifferentAccess.Plug.html#call/2","title":"IndifferentAccess.Plug.call/2","type":"function","doc":""},{"ref":"IndifferentAccess.Plug.html#init/1","title":"IndifferentAccess.Plug.init/1","type":"function","doc":""}]